# BEGIN SourceDeps(oneline):
BuildRequires: gcc-c++
# END SourceDeps(oneline)
%global libmajor 3


Summary:       C++ X Windows Library
Name:          clxclient
Version:       3.6.1
Release:       alt1_8
License:       LGPLv2+
Group:         System/Libraries
URL:           http://kokkinizita.linuxaudio.org/
Source0:       http://kokkinizita.linuxaudio.org/linuxaudio/downloads/%{name}-%{version}.tar.bz2
# patch emailed upstream
Patch0:        clxclient-3.6.1-fsf-address.patch

BuildRequires: clthreads-devel
BuildRequires: libXft-devel
BuildRequires: libX11-devel
Source44: import.info

%description 
C++ X Windows library

%package -n clxclient-devel
Summary:       C++ X Windows Library Development Files
Group:         Development/C
Requires:      %{name}%{?_isa} = %{version}-%{release}

%description -n clxclient-devel
Header files required for the development of applications using the clxclient 
C++ X Windows library.

%prep
%setup -q
%patch0 -p1

# Force Fedora's flags and correct linkage
sed -e 's|-O2|%{optflags}|' \
    -e 's|/sbin/ldconfig|# /sbin/ldconfig|' \
    -e 's|`freetype-config --libs`||' \
    -e 's! -shared ! -Wl,--as-needed\0!g' \
    -e 's|-lpthread -lXft -lX11|-lclthreads -lXft -lX11|' \
    -i Makefile

%build
make %{?_smp_mflags} PREFIX=%{_prefix} LIBDIR=%{_lib} 

%install
mkdir -p %{buildroot}%{_bindir}
mkdir -p %{buildroot}%{_includedir}
mkdir -p %{buildroot}%{_libdir}

make install PREFIX=%{buildroot}%{_prefix} LIBDIR=%{_lib}
ln -s libclxclient.so.%{version} %{buildroot}%{_libdir}/libclxclient.so.%{libmajor}

%files
%doc AUTHORS COPYING
%{_libdir}/lib%{name}*.so.*

%files devel
%{_libdir}/lib%{name}*.so
%{_includedir}/%{name}.h

%changelog
* Thu Feb 21 2013 Igor Vlasenko <viy@altlinux.ru> 3.6.1-alt1_8
- update to new release by fcimport

* Thu Aug 02 2012 Igor Vlasenko <viy@altlinux.ru> 3.6.1-alt1_7
- update to new release by fcimport

* Wed Jun 20 2012 Igor Vlasenko <viy@altlinux.ru> 3.6.1-alt1_6
- fc import

